org.apache.ignite.ml.tree.impurity.mse

## Class MSEImpurityMeasureCalculator

- java.lang.Object
- - org.apache.ignite.ml.tree.impurity.ImpurityMeasureCalculator<MSEImpurityMeasure>
  - - org.apache.ignite.ml.tree.impurity.mse.MSEImpurityMeasureCalculator

- All Implemented Interfaces:
    Serializable

      public class MSEImpurityMeasureCalculator
      extends ImpurityMeasureCalculator<MSEImpurityMeasure>

  Meas squared error (variance) impurity measure calculator.
  See Also:
    Serialized Form

- - ### Field Summary

    - ### Fields inherited from class org.apache.ignite.ml.tree.impurity.ImpurityMeasureCalculator

      `useIdx`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `MSEImpurityMeasureCalculator(boolean useIdx)` Constructs an instance of MSEImpurityMeasureCalculator.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `StepFunction<MSEImpurityMeasure>[]` | `calculate(DecisionTreeData data, TreeFilter filter, int depth)` Calculates all impurity measures required required to find a best split and returns them as an array of `StepFunction` (for every column).

    - ### Methods inherited from class org.apache.ignite.ml.tree.impurity.ImpurityMeasureCalculator

      `columnsCount, getFeatureValue, getFeatureValues, getLabelValue, rowsCount`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### MSEImpurityMeasureCalculator

          public MSEImpurityMeasureCalculator(boolean useIdx)

      Constructs an instance of MSEImpurityMeasureCalculator.
      Parameters:
        `useIdx` - Use index while calculate.

  - ### Method Detail

    - #### calculate

          public StepFunction<MSEImpurityMeasure>[] calculate(DecisionTreeData data,
                                                              TreeFilter filter,
                                                              int depth)

      Calculates all impurity measures required required to find a best split and returns them as an array of `StepFunction` (for every column).
      Specified by:
        `calculate` in class `ImpurityMeasureCalculator<MSEImpurityMeasure>`
      Parameters:
        `data` - Features and labels.
      Returns:
        Impurity measures as an array of `StepFunction` (for every column).

2022 Copyright © Apache Software Foundation
| Follow @ApacheIgnite
Ignite Database and Caching Platform | : ver. 2.13.0
Release Date | : April 20 2022